xfce4-session needs to be rebuilt without --disable-legacy-sm

Bug #1523749 reported by Ang Bongsong on 2015-12-08
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
xfce4-session (Debian)
Confirmed
Unknown
xfce4-session (Ubuntu)
Undecided
Unassigned

Bug Description

There is a pesky bug when using xfce 4.12 under xubuntu, where Qt applications do not pick up on the Gtk or icon themes that the rest of the system uses. It was pointed out on xfce's bugzilla that it is simply due to a compilation flag, and the problem can easily be remedied by not utilizing the troublesome flag. see more here: https://bugzilla.xfce.org/show_bug.cgi?id=12012

Changed in xfce4-session (Debian):
status: Unknown → Confirmed
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xfce4-session (Ubuntu):
status: New → Confirmed
summary: - xfce4-session from the Xfce 4.12 Xubuntu Developers PPA Needs
- Updating/Recompiling
+ xfce4-session needs to be rebuilt without --disable-legacy-sm

Is this change still needed?

The Xubuntu session installs these two files nowadays:

https://git.launchpad.net/xubuntu-default-settings/tree/etc/X11/Xsession.d/56xubuntu-session
https://git.launchpad.net/xubuntu-default-settings/tree/etc/skel/.config/Trolltech.conf

Keep in mind that QT_QPA_PLATFORMTHEME=gtk2 requires the installation of the "qt5-style-plugins" package -> bug 1728236.

Changed in xfce4-session (Ubuntu):
status: Confirmed → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.